<?php

declare(strict_types=1);

namespace App\Enum\Shop;

use App\Enum\EnumMethodsTrait;

/**
 * Statuts d'une ShopRequest.
 */
enum ShopRequestStatus: string
{
    use EnumMethodsTrait;

    case PENDING = 'PENDING';
    case ACTIVATION_LINK_SENT = 'ACTIVATION_LINK_SENT';
    case VALIDATED = 'VALIDATED';
    case COMPLETED = 'COMPLETED';
    case ERROR = 'ERROR';
}
